Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## be.fgov.ehealth.certra.protocol.v2
Class GenerateRevocationContractRequest

    java.lang.Object
      be.fgov.ehealth.commons.protocol.v2.RequestType
          be.fgov.ehealth.certra.protocol.v2.GenerateRevocationContractRequest

All Implemented Interfaces:
  Serializable

    @Generated(value="com.sun.tools.xjc.Driver",
               date="2024-09-05T10:39:12+02:00",
               comments="JAXB RI v2.3.6")
    public class GenerateRevocationContractRequest

extends RequestType
implements Serializable

Request element with all the data required for generating a revocation contract in XML format.

Java class for GenerateRevocationContractRequestType complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="GenerateRevocationContractRequestType">
       <complexContent>
         <extension base="{urn:be:fgov:ehealth:commons:protocol:v2}RequestType">
           <sequence>
             <element name="PublicKeyIdentifier" type="{urn:be:fgov:ehealth:etee:commons:core:v2}PublicKeyIdentifier"/>
             <element name="Signer" type="{urn:be:fgov:ehealth:commons:core:v2}ActorType"/>
             <element name="RevocationReason" type="{urn:be:fgov:ehealth:certra:core:v2}RevocationReasonType"/>
           </sequence>
         </extension>
       </complexContent>
     </complexType>

See Also:
  Serialized Form

Constructor Summary
`GenerateRevocationContractRequest()`

Method Summary
`byte[]` | `getPublicKeyIdentifier()` Gets the value of the publicKeyIdentifier property.
`RevocationReasonType` | `getRevocationReason()` Gets the value of the revocationReason property.
`ActorType` | `getSigner()` Gets the value of the signer property.
`void` | `setPublicKeyIdentifier(byte[] value)` Sets the value of the publicKeyIdentifier property.
`void` | `setRevocationReason(RevocationReasonType value)` Sets the value of the revocationReason property.
`void` | `setSigner(ActorType value)` Sets the value of the signer property.

Methods inherited from class be.fgov.ehealth.commons.protocol.v2.RequestType
`getId, getIssueInstant, setId, setIssueInstant`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### GenerateRevocationContractRequest

    public GenerateRevocationContractRequest()

Method Detail

### getPublicKeyIdentifier

    public byte[] getPublicKeyIdentifier()

  Gets the value of the publicKeyIdentifier property.

  Returns:
    possible object is `String`

### setPublicKeyIdentifier

    public void setPublicKeyIdentifier(byte[] value)

  Sets the value of the publicKeyIdentifier property.

  Parameters:
    `value` - allowed object is `String`

### getSigner

    public ActorType getSigner()

  Gets the value of the signer property.

  Returns:
    possible object is `ActorType`

### setSigner

    public void setSigner(ActorType value)

  Sets the value of the signer property.

  Parameters:
    `value` - allowed object is `ActorType`

### getRevocationReason

    public RevocationReasonType getRevocationReason()

  Gets the value of the revocationReason property.

  Returns:
    possible object is `RevocationReasonType`

### setRevocationReason

    public void setRevocationReason(RevocationReasonType value)

  Sets the value of the revocationReason property.

  Parameters:
    `value` - allowed object is `RevocationReasonType`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Connector Packaging OTMOBILITYIMPROVEMENT 3.27.0 API
Copyright © {inceptionYear}-2024 eHealth. All Rights Reserved.